/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Radiosensitive Organs
 */
public enum EnumCM_RadiosensitiveOrgans {

	//CID 10044 Radiosensitive Organs
	ADRENAL_GLAND("Adrenal gland"),
	BLADDER("Bladder"),
	BRAIN("Brain"),
	BREAST("Breast"),
	BONE_MARROW("Bone Marrow"),
	BONE_SURFACE("Bone Surface"),
	COLON("Colon"),
	ESOPHAGUS("Esophagus"),
	EYE_LENSES("Eye lenses"),
	GALL_BLADDER("Gall bladder"),
	HEART("Heart"),
	KIDNEY("Kidney"),
	LIVER("Liver"),
	LUNG("Lung"),
	LYMPH_NODE("Lymph node"),
	MUSCLE("Muscle"),
	ORAL_MUCOSA("Oral mucosa"),
	OVARY("Ovary"),
	PANCREAS("Pancreas"),
	PROSTATE("Prostate"),
	SALIVARY_GLANDS("Salivary Glands"),
	SKIN("Skin"),
	SMALL_INTESTINE("Small intestine"),
	SPLEEN("Spleen"),
	STOMACH("Stomach"),
	TESTIS("Testis"),
	THYMUS("Thymus"),
	THYROID("Thyroid"),
	UTERUS("Uterus");
	
	private String value;
	
	EnumCM_RadiosensitiveOrgans(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
